### Function

# EBackend ServerSideSource uid_from_file

since: 3.6

#### Declaration [src]

    gchar*
    e_server_side_source_uid_from_file (
      GFile* file,
      GError** error
    )

#### Description [src]

Extracts a unique identity string from the base name of `file`. If the base name of `file` is missing a ‘.source’ extension, the function sets `error` and returns `NULL`.

Available since: 3.6

#### Parameters

`file`

  Type: `GFile`

  A `GFile` for a data source.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The unique identity string for `file`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.